Subject: RE: [Q] Multiple histogram method

From: Jan Reimers <[email-masked]>
Date: Mon, 15 Nov 1999 12:32:00 -0800

One thing that helps is to further average over all possible origins in time
(t_o) as follows

<A(t_o)A(t-t_o)>

I think it is also better to use the differential form:

Average over t_o {(<A(t_o)A(t-t_o)>-<A>^2)/(<A^2>-<A>^2)} = exp(-t/tau)

solve for tau for various small values of t.  Once t gets large the average
will fluctuate around zero and you cannot use these numbers.

I have copied Alan Ferrenberg in case he wants to add anything.

Hope this helps.

JR

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Sent: 	Friday, November 12, 1999 5:35 PM
> To: 	[email-masked]
> Subject: 	CCL:[Q] Multiple histogram method
> 
> 
> 
> 
> 
> 
> Several works (e.g. [1, 2]) reporting multiple histogram techniques to
> construct a free-energy surface, use a formulas containing a factor g,
> which equals (1 + 2*tau), where \tau is referred to as the "integrated
> correlation time".  The exact definition of tau is given in pp. 33-34
> of [3], and amounts to the integral with respect to t from 0 to
> infinity of <A(0)*A(t)> - <A>^2 divided by the variance of A, where A
> is some quantity of interest.  I have tried to obtain numerically the
> tau used in the multiple histogram techniques, but no matter how much
> data I amass, I still end up with something that doesn't come even
> close to converging (i.e. the integral above fluctuates widely
> throughout as one lets the upper limit of integration grow to
> infinity).
> 
> Does anybody know where I can find more info on how to compute this tau?
> 
> Thanks!
> 
> KJ
> 
> [1] Ferrenberg, A. M. and Swendsen, R. H. "Optimized Monte Carlo Data
> Analysis", 1989, Phys. Rev. Lett. 63(12) 1195-1198.
> 
> [2] Kumar, S., et al. "The Weighted Histogram Analysis Method for
> Free-Energy Calculations on Biomolecules.  I. The Method", 1992,
> J. Comp. Chem., 13(8) 1011-1021.
> 
> [3] Binder, K. and Heermann, D. W. "Monte Carlo Simulation in
> Statistical Physics", 2nd Corr. Ed., 1992, pp. 33-34.
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
> Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
> 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> [email-masked]
> 
> 
> 
> 
>

---

From: Jan Reimers <[email-masked]>
Date: Mon, 15 Nov 1999 13:14:49 -0800

Damn ... Please change t-t_o to t+t_o beloe

> ----------
> From: 	Jan Reimers[SMTP:[email-masked]]
> Sent: 	Monday, November 15, 1999 12:32 PM
> To: 	[email-masked]'
> Cc: 	[email-masked]'; [email-masked]'
                     ^+

> Average over t_o {(<A(t_o)A(t-t_o)>-<A>^2)/(<A^2>-<A>^2)} = exp(-t/tau)
                                                ^+